Tirex::Manager::RenderingJobs(3pm)

NAME
Tirex::Manager::Rendering - Hold currently rendering jobs

SYNOPSIS
 use Tirex::Manager:RenderingJobs;

DESCRIPTION
Keeps the list of currently rendering jobs.

METHODS

  Tirex::Manager::RenderingJobs->new( timeout => 120 )
Create new object.

  $rj->count()
Returns the number of jobs currently rendering.

  $rj->add($job)
Add a job. Returns the job added.

  $rj->remove($job)
Remove a job. Returns the job removed.

  $rj->find_by_id($id)
Find a currently rendering job by its id.

  $rj->find_by_metatile($hash)
Find a currently rendering job for some metatile by the metatile hash.

  $rj->check_timeout()
Check if there are any jobs older than the timeout and remove them. They will have been killed by tirex-backend-manager in the mean time.

Returns the number of jobs removed.

  $rj->status()
Return status.